<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
//* Change History:
//*
//* YYMMDD  F/D#   WHO      Description
//* --------------------------------------------------------------------
//* 030309  14475  vaschman use variables for alternate tags - translation 
//* 030403  15025  mkhil    The japanese currency symbol in the javascript was creating the problem.
//* 030506  15029  johnz    DEU - calculate on usage info displays code for the price
//* 030514  13899  hamid    Do not display the text label "Other" since it was causing confusion.
//* 030617  15424  hamid    Undo part of previous fix and display label as "Other Territory".
//* 030619  15496  hamid    Undo previous fix and use externalized string for comparing "Other".
//*
//* Usage Question
%>

<%@ page language="java" %>

<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.command.CommandContext" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="java.math.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.fulfillment.objects.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.commerce.price.beans.FormattedMonetaryAmountDataBean" %>

<%@ page import="com.ibm.commerce.digitalmedia.usage.utils.*" %>
<%@ page import="com.ibm.commerce.digitalmedia.usage.homes.*" %>
<%@ page import="com.ibm.commerce.digitalmedia.usage.commands.*" %>

<%@ page import="com.ibm.commerce.webcontroller.*" %>


<%@ include file="getResource.jsp"%>

<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %> 

<%
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");
String orderItemRn = request.getParameter("orderItemId");
String itemPrice = request.getParameter("itemPrice");
String itemBasePrice = request.getParameter("itemBasePrice");
String currsymbol = request.getParameter("currsymbol");
String decimalCount = dmstoreconfig.getString("WCDMUSAGEDECIMALS");
String decimalSep = dmstoreconfig.getString("WCDMUSAGEDECIMALSEP");
String curr = request.getParameter("curr");
String actualItemBasePrice = itemBasePrice;

if (storeId == null)
{
        String [] arrstoreId = (String []) request.getAttribute("storeId");
        if (arrstoreId != null) storeId = arrstoreId[0];
}
if (languageId == null)
{
        String [] arrlanguageId = (String []) request.getAttribute("langId");
        if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{
        String [] arrcatalogId = (String []) request.getAttribute("catalogId");
        if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{
        String [] arrorderRn = (String []) request.getAttribute("orderId");
        if (arrorderRn != null) orderRn = arrorderRn[0];
}
if (orderItemRn == null)
{
        String [] arrorderItemRn = (String []) request.getAttribute("orderItemRn");
        if (arrorderItemRn != null) orderItemRn = arrorderItemRn[0];
}

if (!(itemPrice.equals("-1")))
{
        BigDecimal itemBasePriceBD = new BigDecimal(actualItemBasePrice);
        BigDecimal div = new BigDecimal("1000");
        itemBasePriceBD = itemBasePriceBD.divide(div,2,BigDecimal.ROUND_CEILING);
        actualItemBasePrice = itemBasePriceBD.toString();
}
%>

<%
//testing.sn
com.ibm.commerce.price.beans.FormattedMonetaryAmountDataBean cfdb = new com.ibm.commerce.price.beans.FormattedMonetaryAmountDataBean();
CommandContext commandContext = (CommandContext)request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
try
{
cfdb.setCurrency(curr);
java.math.BigDecimal newAmount = new java.math.BigDecimal("1067.87");
cfdb.setAmount(newAmount);
cfdb.setCommandContext(commandContext);
cfdb.populate();
}
catch(Exception e)
{
}
//testing.en
%>

<%

UsageManager um = UsageManager.getInstance();
Vector usagelist = um.getUsageDefinitions(Integer.parseInt(languageId));
int usagelistcount = usagelist.size();
Enumeration e1 = usagelist.elements();

WCDMUsageDefinitionDataImpl defaultUsageData = (WCDMUsageDefinitionDataImpl)um.getUsageDefinition(orderRn,orderItemRn,Integer.parseInt(languageId));
String usageId = null; // The updated usageId
if (defaultUsageData != null)
{
        usageId = String.valueOf(defaultUsageData.getUsageId());
}


String newusageId = request.getParameter("newusageId"); // The New UsageId selected in the options


boolean newUsage = true;

if (usageId == null)
        usageId = "1"; // if the usageid is null then change it to 0
if (newusageId == null)
{
        newUsage = false;
        newusageId = usageId; // if new usage id not selected from the dropdown then 
                                                  // default it to the updated usage id
}
else
{
        if (newusageId.equals(usageId))
                newUsage = false;
        else
                newUsage = true;
}



WCDMUsageDefinitionDataImpl currentUsageData = (WCDMUsageDefinitionDataImpl)um.getUsageDefinition(Integer.parseInt(newusageId),Integer.parseInt(languageId));



%>

<script language="JavaScript">
var pointarray = new Array();

var questiondropdownarray = new Array();
var questioncheckboxarray = new Array();
var questionradioarray = new Array();
var questiontextarray = new Array();
var questionmultiselectarray = new Array();

var questiondropdowncount = 0;
var questioncheckboxcount = 0;
var questionradiocount = 0;
var questiontextcount = 0;
var questionmultiselectcount = 0;

var itemBasePrice = <%=actualItemBasePrice%>;
var usageBasePrice = 0;
<%
if (currentUsageData != null)
{
%>
usageBasePrice = <%=currentUsageData.getBasePrice()%>;
<%
}
%>

// returns the amount formatted with the appropriate number of decimal places and separator
function formatNumber(num, decimals, separator) {

    decimals -= 0;
    var numFormatted = num + "";
    var decimalPos = numFormatted.indexOf(".");
    if (decimals == 0) {
        if (decimalPos > 0) {
            numFormatted = numFormatted.substring(0, decimalPos);
        }
    }
    else {
        var decimalNums = "0000000000";
        if (decimalPos >= 0) {
            if (decimalPos < numFormatted.length) {
                decimalNums = numFormatted.substring(decimalPos+1) + "0000000000";
            }
            numFormatted = numFormatted.substring(0, decimalPos);
        }
        numFormatted = numFormatted + separator + decimalNums.substring(0, decimals);
    }
    return numFormatted;
}

function trimAllSpaces(s)
{
   s = trimAllLeadingCharacters(s, " ");
   s = trimAllTrailingCharacters(s, " ");
   return s;
}

function trimAllLeadingCharacters(s, c)
{
   if (s == null) return ("");

   var allTrimCharacters = true;

   // ------------------------
   // remove leading characters
   // ------------------------
   for (var x=0; x<s.length; x++) {
      if (s.charAt(x) != c.charAt(0)) {
         allTrimCharacters = false;
         break;
      }
   }

   // ------------------------------------------------------
   // return empty string for string of all trim characters
   // ------------------------------------------------------
   if (allTrimCharacters == true) return ("");

   // ---------------------
   // return trimmed string
   // ---------------------
   return(s.substring(x, s.length));
}

function trimAllTrailingCharacters(s, c)
{
   if (s == null) return ("");

   var allTrimCharacters = true;

   // ------------------------
   // remove leading characters
   // ------------------------
   for (var x=(s.length-1); x>=0; x--) {
      if (s.charAt(x) != c.charAt(0)) {
         allTrimCharacters = false;
         break;
      }
   }

   // ------------------------------------------------------
   // return empty string for string of all trim characters
   // ------------------------------------------------------
   if (allTrimCharacters == true) return ("");

   // ---------------------
   // return trimmed string
   // ---------------------
   return(s.substring(0, x+1));
}

function defined(obj)
{
  var str = typeof obj;
  if((str == "undefined") || (obj == null))
    return false;
  else
    return true;
}

function roundNumber(num, decimalNum)
/**********************************************************************
        IN:
                num - the number to format
                decimalNum - the number of decimal places to format the number to
 
        RETVAL:
                The rounded number
 **********************************************************************/
{ 
        if (isNaN(parseInt(num))) return "NaN";

        var tmpNum = num;

        // Round the number to the desired number of decimal places.
        tmpNum *= Math.pow(10,decimalNum);
        tmpNum = Math.round(Math.abs(tmpNum))
        tmpNum /= Math.pow(10,decimalNum);

        return tmpNum;
}

//d15496: new function
function changeothertext() {
        var thisForm = document.newusageform;
    for (i=0;i<questionmultiselectarray.length;i++) {
        var field = eval("thisForm.MultiQuestion" + questionmultiselectarray[i]);
        var ansfield = eval("thisForm.Question" + questionmultiselectarray[i] + "anstext");
        var quefield = eval("thisForm.Question" + questionmultiselectarray[i]);
        var defans = "";
        if (defined(field)) {
                var count = 0;
            for (nh = 0; nh < field.length; nh++) {
                //d15496: if (field[nh].value.indexOf("Other") != -1) {
                if (field[nh].value.toUpperCase().indexOf("<%=(dmstoretext.getString("USAGEQUESTIONS_OTHER")).toUpperCase()%>") != -1) { //d15496
                        if (field[nh].selected) {
                        ansfield.focus(); //d13899
                        ansfield.onfocus=null;
                        } else {
                        ansfield.value="";
                        ansfield.onfocus=ansfield.blur;
                        }
                    }
                }
        }
        }
}

function convertPrice() {

        var totalprice = itemBasePrice * usageBasePrice;
        var thisForm = document.newusageform;
        for (i=0;i<questiondropdownarray.length;i++)
        {               
                var field = eval("thisForm.Question" + questiondropdownarray[i]);               
                if (defined(field))
                {
                        var answerId = getDropDownValue(field);
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }

        for (i=0;i<questionradioarray.length;i++)
        {               
                var field = eval("thisForm.Question" + questionradioarray[i]);          
                if (defined(field))
                {
                        var answerId = getRadioValue(field);                    
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }
        

        for (i=0;i<questioncheckboxarray.length;i++)
        {               
                var field = eval("thisForm.Question" + questioncheckboxarray[i]);               
                if (defined(field))
                {
                        var answerId = getCheckBoxValue(field,questioncheckboxarray[i],check);                  
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }
        
        for (i=0;i<questionmultiselectarray.length;i++)
        {               
                var field = eval("thisForm.MultiQuestion" + questionmultiselectarray[i]);
                var ansfield = eval("thisForm.Question" + questionmultiselectarray[i] + "anstext");
                var quefield = eval("thisForm.Question" + questionmultiselectarray[i]);
                var defans = "";
                if (defined(field))
                {
                        var count = 0;
                        for (nh = 0; nh < field.length; nh++)
                        {
                        /***d15496*
                                //d15496: if (field[nh].value.indexOf("Other") != -1)
                                if (field[nh].value.toUpperCase().indexOf("<%=(dmstoretext.getString("USAGEQUESTIONS_OTHER")).toUpperCase()%>") != -1) //d15496
                                {                               
                                        if (field[nh].selected)
                                        {                                               
                                                ansfield.focus(); //d13899
                                                ansfield.onfocus=null;
                                        }
                                        else
                                        {
                                                ansfield.value="";
                                                ansfield.onfocus=ansfield.blur;                                         
                                        }
                                        
                                }
                        *d15496***/

                        if (field[nh].selected)
                                {       
                                        defans = defans + field[nh].value + "|";
                                        count = count + 1;
                        }
                }
                        if (count == 0)
                        {
                                count = 1;
                                defans = defans + field[0].value + "|";
                                if (check != 'nodefault')
                                {
                                        field[0].selected = true;
                                }
                        }
        
                        var answerId = getcorrectmultiselectanswer(questionmultiselectarray[i],count);
                        if (defined(quefield))
                        {       
                                quefield.value = answerId;
                        }
                        if (check == 'submit')
                        {
                                if (defined(ansfield))
                                {
                                        ansfield.value = defans + ansfield.value;                               
                                }
                        }
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }

        for (i=0;i<questiontextarray.length;i++)        
        {
                var field = eval("thisForm.Question" + questiontextarray[i] + "anstext");               
                if (defined(field))
                {
                        var fieldvalue = trimAllSpaces(field.value);                    
                        if (fieldvalue != "")
                        {
                                answerId = questiontextarray[i] * 10 + 1;                               
                                var points = pointarray[answerId];                              
                                totalprice = totalprice * points;
                        }
                }
        }
        
        totalprice = roundNumber(totalprice, <%=decimalCount%>);        
        thisForm.calculatedPrice.value = totalprice;
        //thisForm.tempCalculatedPrice.value = "<%//=currsymbol%>" + formatNumber(totalprice, "<%=decimalCount%>", "<%=decimalSep%>");

        var popFile = '<%=WCS_ITEMDISPLAY%>';
        commandbarWin=window.open(popFile + "?currency=<%=curr%>&page=usagePopup&price=" + totalprice,"UsagePopup","dependent=no,height=1,width=1,screenX=0,screenY=0,resizable=no");
        self.focus();
}

function calculatePrice(check)
{
        var totalprice = itemBasePrice * usageBasePrice;
        var thisForm = document.newusageform;
        for (i=0;i<questiondropdownarray.length;i++)
        {               
                var field = eval("thisForm.Question" + questiondropdownarray[i]);               
                if (defined(field))
                {
                        var answerId = getDropDownValue(field);
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }

        for (i=0;i<questionradioarray.length;i++)
        {               
                var field = eval("thisForm.Question" + questionradioarray[i]);          
                if (defined(field))
                {
                        var answerId = getRadioValue(field);                    
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }
        

        for (i=0;i<questioncheckboxarray.length;i++)
        {               
                var field = eval("thisForm.Question" + questioncheckboxarray[i]);               
                if (defined(field))
                {
                        var answerId = getCheckBoxValue(field,questioncheckboxarray[i],check);                  
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }
        
        for (i=0;i<questionmultiselectarray.length;i++)
        {               
                var field = eval("thisForm.MultiQuestion" + questionmultiselectarray[i]);
                var ansfield = eval("thisForm.Question" + questionmultiselectarray[i] + "anstext");
                var quefield = eval("thisForm.Question" + questionmultiselectarray[i]);
                var defans = "";
                if (defined(field))
                {
                        var count = 0;
                        for (nh = 0; nh < field.length; nh++)
                        {
                        /***d15496*
                                //d15496: if (field[nh].value.indexOf("Other") != -1)
                                if (field[nh].value.toUpperCase().indexOf("<%=(dmstoretext.getString("USAGEQUESTIONS_OTHER")).toUpperCase()%>") != -1) //d15496
                                {                               
                                        if (field[nh].selected)
                                        {                                               
                                                ansfield.focus(); //d15496
                                                ansfield.onfocus=null;
                                        }
                                        else
                                        {
                                                ansfield.value="";
                                                ansfield.onfocus=ansfield.blur;                                         
                                        }
                                        
                                }
                        *d15496***/

                        if (field[nh].selected)
                                {       
                                        defans = defans + field[nh].value + "|";
                                        count = count + 1;
                        }
                }
                        if (count == 0)
                        {
                                count = 1;
                                defans = defans + field[0].value + "|";
                                if (check != 'nodefault')
                                {
                                        field[0].selected = true;
                                }
                        }
        
                        var answerId = getcorrectmultiselectanswer(questionmultiselectarray[i],count);
                        if (defined(quefield))
                        {       
                                quefield.value = answerId;
                        }
                        if (check == 'submit')
                        {
                                if (defined(ansfield))
                                {
                                        ansfield.value = defans + ansfield.value;                               
                                }
                        }
                        var points = pointarray[answerId];
                        totalprice = totalprice * points;
                }
        }

        for (i=0;i<questiontextarray.length;i++)        
        {
                var field = eval("thisForm.Question" + questiontextarray[i] + "anstext");               
                if (defined(field))
                {
                        var fieldvalue = trimAllSpaces(field.value);                    
                        if (fieldvalue != "")
                        {
                                answerId = questiontextarray[i] * 10 + 1;                               
                                var points = pointarray[answerId];                              
                                totalprice = totalprice * points;
                        }
                }
        }
        
        totalprice = roundNumber(totalprice, <%=decimalCount%>);        
        //totalprice = totalprice * itemBasePrice * usageBasePrice;     
        thisForm.calculatedPrice.value = totalprice;

        thisForm.tempCalculatedPrice.value = "<%=currsymbol%>" + formatNumber(totalprice, "<%=decimalCount%>", "<%=decimalSep%>");
<%      if(!dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
                var priceDisp = document.getElementById("priceDisp");
                priceDisp.firstChild.nodeValue = formatNumber(totalprice, "<%=decimalCount%>", "<%=decimalSep%>");
<%      }       %>
        
}

function getcorrectmultiselectanswer(questionId,count)
{
        var continuefalg = true;
        var answerId = questionId * 10 + count;
        while(continuefalg)
        {
                var points = pointarray[answerId];
                if (points != null)
                {
                        continuefalg = false;
                        break;
                }
                answerId = answerId + 1;
        }
        return answerId;
}

function getDropDownValue(field)
{       
        return field.options[field.options.selectedIndex].value;
}

function getCheckBoxValue(checkbox,questionId,check)
{
        var count = 0;
        for (nh = 0; nh < checkbox.length; nh++)
        {
        if (checkbox[nh].checked)
                {       
                        count = count + 1;
        }
    }
        if (count == 0)
        {
                count = 1;
                if (check != 'nodefault')
                {
                        checkbox[0].checked = true;
                }
        }
        
        //alert("No of checkboxes selected is" + count);
        //alert("Question Id is" + questionId);
        var answerId = questionId * 10 + count;
        //alert("Answer Id for the picklist:" + answerId);
        return (answerId);
}


function getRadioValue(radio)
{       
        for (nh = 0; nh < radio.length; nh++)
        {
        if (radio[nh].checked)
                {                       
                return radio[nh].value;
        }
    }
        radio[0].checked = true;
        return radio[0].value;
        
}

function applyNewPrice()
{
        var thisForm = document.newusageform;
        calculatePrice('submit');
        thisForm.action = "<%=WCS_ROOT_RELATIVE_URL%>/servlet/DigitalMediaUsageControllerCmd";
        thisForm.submit();
}
</script>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<head>
        <title><%=dmstoretext.getString("USAGEQUESTIONS_TITLE")%><%=cfdb.getPrimaryFormattedPrice().getFormattedValue()%></title>
</head>

<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bgcolor="#FFFFFF">

<%
String incfile;

incfile = "/" + storeDir +  "/common/header.jsp";
%>
<jsp:include page="<%=incfile%>" flush="true"/>


<%
incfile = "/" + storeDir +  "/common/sidebar.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

<table border="0" cellpadding="0" cellspacing="0" width="595">
<tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
        <td>    
                <table border="0" cellpadding="0" cellspacing="0" width="521">
                <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
                </tr>
                <tr>
                        <td valign="top"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/usage_info.gif" alt="" border="0"><br></td>
                        <td align="right" valign="top"></td>
                </tr>
                <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
                </tr>
                        </table>
                </td>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
        </tr>   
        <tr>
                <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
        </tr>
</table>
<br>

<table>
<tr>
  <td valign="top">
  <form name="newusageform" method="POST" action="<%="OrderItemDisplay"%>"> <% //d13781 %>
  <table>
  <!--
  <tr>
  <td align="right">
  <a href="<%//=IMAGE_CART_URL%>?langId=<%//=languageId%>&storeId=<%//=storeId%>&catalogId=<%//=catalogId%>&orderId=." class="play">Go To Product Cart</a>
  </td>
  </tr>
  -->
  <tr>  
  <td>
  <%=dmstoretext.getString("USAGEQUESTIONS_USAGEQUE")%> : 
  </td>
  <td>
        <select name="newusageId" onchange="javascript:document.newusageform.submit();">
        
        <%
        while (e1.hasMoreElements())
        {
                WCDMUsageDefinitionDataImpl usagedef = (WCDMUsageDefinitionDataImpl) e1.nextElement();
                String currentUsageId = Integer.toString(usagedef.getUsageId());
                if (currentUsageId.equals(newusageId))
                {
                %>
                <option value="<%=currentUsageId%>" selected><%=usagedef.getUsageText()%></option>
                <%
                }
                else
                {
                %>
                <option value="<%=currentUsageId%>"><%=usagedef.getUsageText()%></option>               
                <%
                }
        }
        %>
        </select>
  </td>  
  </tr>
  
  <%  
  Vector usageData =  um.getUsageDependentQuesAnsData(Integer.parseInt(newusageId),orderRn,orderItemRn,Integer.parseInt(languageId));
                if (usageData != null)
                {
                        int totalquestions = usageData.size();
                        Enumeration e2 = usageData.elements();
                        while(e2.hasMoreElements())
                        {
                                %>
                                <tr>
                                <td>
                                <%
                                WCDMUsageDependentQuesAnsDataImpl depdata = (WCDMUsageDependentQuesAnsDataImpl)e2.nextElement();
                                String defaultusageanstext = null;
                                if (depdata != null)
                                {
                                        defaultusageanstext = depdata.getUsageAnswerText();
                                        WCDMUsageQuestionDataImpl quesdata = (WCDMUsageQuestionDataImpl)depdata.getUsageQuestion();
                                        String questionText = quesdata.getQuestionText();//show the question text
                                        int questionId = quesdata.getQuestionId();
                                        String questionType = quesdata.getQuestionType();
                                        String questionstatus = quesdata.getStatus();
                                        String othertext = "";
                                        boolean showother = false;
                                        if (questionstatus.equalsIgnoreCase("A"))
                                        {
                                        
                                        WCDMUsageAnswerDataImpl defaultansdata = (WCDMUsageAnswerDataImpl)depdata.getDefaultUsageAnswer();
                                        int defaultanswerId = -1;
                                        
                                        if (defaultansdata != null)
                                        {
                                                defaultanswerId = defaultansdata.getAnswerId(); 
                                        }
                                        %>
                                        <%
                                        if (questionType.equalsIgnoreCase("R"))
                                        {
                                        %>
                                        <script>
                                        questionradioarray[questionradiocount] = <%=questionId%>;
                                        questionradiocount++;
                                        </script>
                                        <%
                                        }
                                        else if (questionType.equalsIgnoreCase("C"))
                                        {
                                        %>
                                        <script>
                                        questioncheckboxarray[questioncheckboxcount] = <%=questionId%>;
                                        questioncheckboxcount++;
                                        </script>
                                        <%
                                        }
                                        else if (questionType.equalsIgnoreCase("S"))
                                        {
                                        %>
                                        <script>
                                        questiondropdownarray[questiondropdowncount] = <%=questionId%>;
                                        questiondropdowncount++;
                                        </script>
                                        <%
                                        }
                                        else if (questionType.equalsIgnoreCase("T"))
                                        {
                                        %>
                                        <script>                                        
                                        questiontextarray[questiontextcount] = <%=questionId%>;
                                        questiontextcount++;
                                        </script>
                                        <%
                                        }
                                        else if (questionType.equalsIgnoreCase("M"))
                                        {
                                        %>
                                        <script>
                                        questionmultiselectarray[questionmultiselectcount] = <%=questionId%>;
                                        questionmultiselectcount++;
                                        </script>
                                        <%
                                        }
                                        %>
                                        
                                        <%=questionText%>
                                        </td><td>
                                        <%
                                        String answerlist = "";
                                        // If the question is Select box
                                        if (questionType.equalsIgnoreCase("S"))
                                        {
                                                //answerlist = "<select name=\"Question" + questionId + "\" onchange=\"javascript:calculatePrice('select');\">";
                                                answerlist = "<select name=\"Question" + questionId + "\" >";
                                        }
                                        // If the question is Multi Select box
                                        if (questionType.equalsIgnoreCase("M"))
                                        {
                                        %>
                                                <input type="hidden" name="Question<%=questionId%>" value="">
                                        <%
                                                //answerlist = "<select name=\"MultiQuestion" + questionId + "\" onchange=\"javascript:calculatePrice('nodefault');\" multiple>";
                                                answerlist = "<select name=\"MultiQuestion" + questionId + "\" onChange=\"javascript:changeothertext();\" multiple>"; //d15496
                                        }
                                        Vector ansvec = depdata.getUsageAnswers();
                                        Vector updateanswer = null;
                                        if (questionType.equalsIgnoreCase("C"))
                                        {
                                                updateanswer = um.getUpdatedCheckBoxAnswers(orderRn,orderItemRn,questionId,Integer.parseInt(newusageId));
                                        }
                                        if (ansvec != null)
                                        {
                                                Enumeration e3 = ansvec.elements();
                                                boolean multiselect = true;
                                                while (e3.hasMoreElements())
                                                {
                                                        
                                                        WCDMUsageAnswerDataImpl ansdata = (WCDMUsageAnswerDataImpl)e3.nextElement();
                                                        int answerId = ansdata.getAnswerId();
                                                        String anstext = ansdata.getAnswerText();//show the answer text
                                                        %>
                                                        <script language="javascript">
                                                        pointarray[<%=answerId%>] = <%=ansdata.getPoints()%>;
                                                        </script>
                                                                                                
                                                        <%
                                                        // If the question is a Checkbox
                                                        if (questionType.equalsIgnoreCase("C"))
                                                        {
                                                                //Vector updateanswer = null;                                                           
                                                                boolean isSelected = false;
                                                                if (updateanswer != null)
                                                                {
                                                                        Enumeration eupdateanswer = updateanswer.elements();
                                                                        while(eupdateanswer.hasMoreElements())
                                                                        {
                                                                                String updateanswervalue = (String)eupdateanswer.nextElement();
                                                                                String currentanswervalue = String.valueOf(answerId);
                                                                                if (updateanswervalue.equalsIgnoreCase(currentanswervalue))
                                                                                {
                                                                                        isSelected = true;
                                                                                        //answerlist = answerlist + "<br><input type=\"checkbox\" name=\"Question" + questionId + "\" value=\"" + answerId + "\" checked onClick=\"javascript:calculatePrice('nodefault');\">" + anstext;
                                                                                                                                                                                answerlist = answerlist + "<br><input type=\"checkbox\" name=\"Question" + questionId + "\" value=\"" + answerId + "\" checked>" + anstext;
                                                                                        break;
                                                                                }
                                                                        }
                                                                        if (!isSelected)
                                                                        {
                                                                                //answerlist = answerlist + "<br><input type=\"checkbox\" name=\"Question" + questionId + "\" value=\"" + answerId + "\" onClick=\"javascript:calculatePrice('nodefault');\">" + anstext;
                                                                                                                                                        answerlist = answerlist + "<br><input type=\"checkbox\" name=\"Question" + questionId + "\" value=\"" + answerId + "\">" + anstext;
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                        //answerlist = answerlist + "<br><input type=\"checkbox\" name=\"Question" + questionId + "\" value=\"" + answerId + "\" onClick=\"javascript:calculatePrice('nodefault');\">" + anstext;
                                                                                                                                        answerlist = answerlist + "<br><input type=\"checkbox\" name=\"Question" + questionId + "\" value=\"" + answerId + "\">" + anstext;
                                                                }
                                                                
                                                        }
                                                        // If it is a multi select
                                                        else if (questionType.equalsIgnoreCase("M"))
                                                        {
                                                                // if the question is multiselect then only the first record is needed to show the values.
                                                                if (multiselect)
                                                                {
                                                                        multiselect = false;
                                                                        
                                                                        if (anstext != null)
                                                                        {
                                                                                StringTokenizer anstexttok = new StringTokenizer(anstext,"|");
                                                                                String temp = "";                                                                               
                                                                                while (anstexttok.hasMoreTokens())
                                                                                {
                                                                                        temp = anstexttok.nextToken();
                                                                                        if (temp != null)
                                                                                        {
                                                                                                if ( (defaultusageanstext != null) && ((defaultusageanstext.indexOf(temp)) != -1) )
                                                                                                {
                                                                                                   answerlist = answerlist + "<option value=\"" + temp + "\" selected>" + temp + "</option>";
                                                                                                }
                                                                                                else
                                                                                                {
                                                                                                       answerlist = answerlist + "<option value=\"" + temp + "\">" + temp + "</option>";
                                                                                                }
                                                                                               }
                                                                                }
                                                                                othertext = "";
                                                                                showother = false;
                                                                                //d15496: if (temp.toUpperCase().indexOf("OTHER") != -1)
                                                                                if (temp.toUpperCase().indexOf((dmstoretext.getString("USAGEQUESTIONS_OTHER")).toUpperCase()) != -1) //d15496
                                                                                {
                                                                                        showother = true;
                                                                                }
                                                                                if (defaultusageanstext.indexOf(temp) != -1)
                                                                                {
                                                                                        othertext = defaultusageanstext.substring(defaultusageanstext.indexOf(temp) + 1);
                                                                                        if (othertext.indexOf("|") != -1)
                                                                                        {
                                                                                                othertext = othertext.substring(othertext.indexOf("|") + 1);
                                                                                        }
                                                                                }
                                                                        }
                                                                        %>                                                                      
                                                                        <%
                                                                }
                                                        }
                                                        else if (questionType.equalsIgnoreCase("S"))
                                                        {
                                                                if (answerId == defaultanswerId)
                                                                {
                                                                %>                                                                                                                                      
                                                                        
                                                                <%
                                                                        answerlist = answerlist + "<option value=\"" + answerId + "\" selected>" + anstext + "</option>";
                                                                }
                                                                else
                                                                {
                                                                %>                                                      
                                                                        
                                                                <%
                                                                        answerlist = answerlist + "<option value=\"" + answerId + "\">" + anstext + "</option>";
                                                                }
                                                                
                                                        }
                                                        else if (questionType.equalsIgnoreCase("T"))
                                                        {
                                                                answerlist = answerlist + "<input type=\"Text\" name=\"Question" + questionId + anstext + "\" value=\"\">";
                                                        }
                                                        else if (questionType.equalsIgnoreCase("R"))
                                                        {
                                                                if (answerId == defaultanswerId)
                                                                {
                                                                        //answerlist = answerlist + "<input type=\"radio\" name=\"Question" + questionId + "\" value=\"" + answerId + "\" checked onClick=\"javascript:calculatePrice('select');\">" + anstext;
                                                                                                                                                answerlist = answerlist + "<input type=\"radio\" name=\"Question" + questionId + "\" value=\"" + answerId + "\" checked>" + anstext;
                                                                }
                                                                else
                                                                {
                                                                        //answerlist = answerlist + "<input type=\"radio\" name=\"Question" + questionId + "\" value=\"" + answerId + "\" onClick=\"javascript:calculatePrice('select');\">" + anstext;
                                                                                                                                                answerlist = answerlist + "<input type=\"radio\" name=\"Question" + questionId + "\" value=\"" + answerId + "\">" + anstext;
                                                                }
                                                        }
                                                        
                                                }                               
                                                %>
                                                <%
                                                // If the question is Select box or Multi Select box
                                                if ( (questionType.equalsIgnoreCase("S")) || (questionType.equalsIgnoreCase("M")) )
                                                {
                                                        answerlist = answerlist + "</select>";
                                                }
                                                %>
                                                <%=answerlist%>
                                                </td>
                                                </tr>
                                                <%
                                                // If the question is Multi Select box
                                                if (questionType.equalsIgnoreCase("M"))
                                                {
                                                        if (showother)
                                                        {
                                                %>
                                                <tr><td><%//d15496=dmstoretext.getString("USAGEQUESTIONS_OTHER")%></td><td><input type="Text" name="Question<%=questionId%>anstext" value="<%=othertext%>"></td></tr> <% //d13899,d15424,d15496 %>
                                                <%
                                                        }
                                                        else
                                                        {
                                                        %>
                                                        <input type="hidden" name="Question<%=questionId%>anstext" value="">
                                                        <%
                                                        }
                                                }
                                                %>
                                                
                                                <%
                                        }
                                }
                                }
                        }
                }
        %>

<input type=hidden name="storeId" value="<%= storeId %>">
<input type=hidden name="langId" value="<%= languageId %>">
<input type=hidden name="catalogId" value="<%= catalogId %>">
<input type=hidden name="orderId" value="<%=orderRn%>">
<input type=hidden name="orderItemId" value="<%=orderItemRn%>">
<input type=hidden name="itemBasePrice" value="<%=itemBasePrice%>">
<input type=hidden name="page" value="usagequestions">
<input type=hidden name="itemPrice" value="<%=itemPrice%>">
<input type=hidden name="calculatedPrice" value="">
<input type=hidden name="currsymbol" value="<%=currsymbol%>">
<input type=hidden name="curr" value="<%=curr%>">
<br><tr>
<td>
<%=dmstoretext.getString("USAGEQUESTIONS_CALPRICE")%>
</td>
<td>
<%      if(dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
<%
                if (itemPrice.equals("-1")) {
%>
                        <input type=text name="tempCalculatedPrice" value="" disabled border="0">
<%
                }
                else {
%>
                        <input type=text name="tempCalculatedPrice" value="<%=itemPrice%>" disabled border="0">
<%
                }
        }
        else {
%>
                <table>
                <tr>
<%              if(dmstoreconfig.getString("WCDMUSAGECURRENCYONLEFT").equals("YES")) { %>
                        <td>
                                <%=dmstoreconfig.getString("WCDMUSAGECURRENCYSYMBOL")%>
                        </td>
<%              }  %>
                        <td ID="priceDisp">
                                &nbsp;
                        </td>
<%              if(dmstoreconfig.getString("WCDMUSAGECURRENCYONLEFT").equals("NO")) { %>
                        <td>
                                <%=dmstoreconfig.getString("WCDMUSAGECURRENCYSYMBOL")%>
                        </td>
<%              }  %>
                </tr>
                </table>
 
                <input type=hidden name="tempCalculatedPrice" value="" disabled border="0">
<%
        }
%>
</td>
</tr>

<tr>
<td>
<%      if(dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
                <a href="javascript:convertPrice()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/calculate.gif" border="0" alt=""></a>
<%      } 
        else { %>
                <a href="javascript:calculatePrice('')"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/calculate.gif" border="0" alt=""></a>
<%      }       %>
</td>
<td>
        <a href="javascript:applyNewPrice()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/apply.gif" border="0" alt="<%=dmstoretext.getString("APPLY_TAG")%>"></a>
</td>
</tr>
<tr>
<td colspan="2">
<b> <%=dmstoretext.getString("USAGEQUESTIONS_NOTE")%>: </b> <%=dmstoretext.getString("USAGEQUESTIONS_MULTI")%>
</td>
</tr>
</form>
</table>  

<script language="javascript">

   calculatePrice('select');
<% if(dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
       convertPrice();
<% } %>

   changeothertext(); //d15496
</script>
  
</td>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
</tr>
</table>


<!--MAIN CONTENT ENDS HERE-->

<%

incfile = "/" + storeDir +  "/common/footer.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

</body>

</html>



        



