<%
//*
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*/
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030125  13815  vaschman add table headers (accessiblity)
// 030210  13928  hamid    Do not display price for items against a subscription
// 030308  13740  vaschman add alternate to thumbnail
// 030312  14627  hamid    Do not display download button for subscription orders
// 030331  14951  vaschman remove width and height parameters on image display 
////////////////////////////////////////////////////////////////////////
//*
//* DMOrderDisplayCompleted.jsp
%>

<%@ page language="java" %>

<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.command.CommandContext" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="java.math.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.fulfillment.objects.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.commerce.tools.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.webcontroller.*" %>
<%@ page import="com.ibm.commerce.order.utils.*"   %>
<%@ page import="com.ibm.commerce.utils.TimestampHelper" %>



<%@ include file="getResource.jsp"%>


<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %> 

<%
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");


if (storeId == null)
{
        String [] arrstoreId = (String []) request.getAttribute("storeId");
        if (arrstoreId != null) storeId = arrstoreId[0];
}
if (languageId == null)
{
        String [] arrlanguageId = (String []) request.getAttribute("langId");
        if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{
        String [] arrcatalogId = (String []) request.getAttribute("catalogId");
        if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{
        String [] arrorderRn = (String []) request.getAttribute("orderId");
        if (arrorderRn != null) orderRn = arrorderRn[0];
}

%>

<jsp:useBean id="bnRegister" class="com.ibm.commerce.user.beans.UserRegistrationDataBean" scope="page">
<% 
        bnRegister.setProfileType("C");
        com.ibm.commerce.beans.DataBeanManager.activate(bnRegister, request); 
%>
</jsp:useBean>

<%
String userType = bnRegister.getRegisterType().trim();
int activeUserID = -1;

if (!(userType.equals("G")))
{
        // Retrieve the userid
        try {
                activeUserID = Integer.parseInt(bnRegister.getUserProfile().getUserId());
        } catch (java.lang.NullPointerException ne) {
                activeUserID = -1;
        }
}
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<head><title><%=dmstoretext.getString("ORDER_TITLE")%></title>
</head>

<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bgcolor="#FFFFFF">


<%
String incfile;

incfile = "/" + storeDir + "/common/header.jsp";
%>
<jsp:include page="<%=incfile%>" flush="true"/>


<%
incfile = "/" + storeDir + "/common/sidebar.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

<!--END SEARCH-->


<!--MAIN CONTENT STARTS HERE-->
<script>


function singlefiledownload(j) {
                if (document.results_content.prod_sku.length > 1)
                {
                        document.results_content.prod_sku[j].checked = true;                    
                        submitimageid = document.results_content.prod_sku[j].value + ":" + document.results_content.resvalue[j].value;
                }
                else
                {
                        submitimageid = document.results_content.prod_sku.value + ":" + document.results_content.resvalue.value;
                }
                
                document.DownloadOptionsPage.downloadfiles.value = submitimageid;
                document.DownloadOptionsPage.numchecked.value = 1;
                document.DownloadOptionsPage.submit();  
 }


 function filedownload() {
          submitimageid = "";
          submitpid = "";
          count = 0;
          for(i=0;i<document.results_content.prod_sku.length;i++)  {
                   if (document.results_content.prod_sku[i].checked == true){
                         //submitimageid = submitimageid + document.results_content.prod_sku[i].value + ",";
                         submitimageid = submitimageid + document.results_content.prod_sku[i].value + ":" + document.results_content.resvalue[i].value + " ";
                         count++;
                        }
                }
        if ((submitimageid == "") && (document.results_content.prod_sku.checked == true)) {
                         //submitimageid = submitimageid + document.results_content.prod_sku.value + ",";
                         submitimageid = submitimageid + document.results_content.prod_sku.value + ":" + document.results_content.resvalue.value + " ";
                         count++;
                }
        if (submitimageid == "")
        alert('<%= dmstoretext.getString("ONE_BOX_CHECKED") %>');
        else
         {      
                document.DownloadOptionsPage.downloadfiles.value = submitimageid;
                document.DownloadOptionsPage.numchecked.value = count;
                document.DownloadOptionsPage.submit();
        }
        
 }
</script>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<%
orderBean.setOrderId(orderRn);   
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
%>
</jsp:useBean>
<%
        boolean ordercompleted = false;
        String orderstatus = "";
        boolean isSubscriptionOrder = false; //d14627
        boolean showpriceflag = true; //d13928
        if (orderBean != null)
        {       
                orderstatus = orderBean.getStatus();
                
                //d13928: begin
                String orderconfirm = orderBean.getField3();
                if (orderconfirm != null) {
                    orderconfirm.trim();
                    if ((orderconfirm.indexOf("RENEWSUBSCRIPTION") == -1) &&
                        (orderconfirm.indexOf("NEWSUBSCRIPTION") == -1) &&
                        (orderconfirm.indexOf("SUBSCRIPTION") != -1))
                        showpriceflag = false;
                    if (orderconfirm.indexOf("RENEWSUBSCRIPTION") != -1 || orderconfirm.indexOf("NEWSUBSCRIPTION") != -1) //d14627
                        isSubscriptionOrder = true; //d14627
                }
                //d13928: end
        }
        if (orderstatus.equalsIgnoreCase(MEDIADOWNLOAD_STATUS))
        {
                ordercompleted = true;
        }
        %>

        
<FORM NAME="DownloadOptionsPage" ACTION="<%=LIGHTBOX_INIT_SESSION_CMD%>" Method=post>
<input type="hidden" name="downloadfiles" value="">     
<input type="hidden" name="numchecked" value="">
<!-- <input type="hidden" name="pid" value=""> -->
<input type="hidden" Name="url" VALUE="<%=MEDIA_ZIP_WAIT_JSP%>">
<input type="hidden" name="orderId" value="<%=orderRn%>">
<input type="hidden" name="storeId" value="<%=storeId%>">
<input type="hidden" name="catalogId" value="<%=catalogId%>">
<input type="hidden" name="langId" value="<%=languageId%>">
<input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">
<input type="hidden" name="localeValue" value="<%=wcdmLocale%>">
                        <input type="hidden" name="storeDir" value="<%=storeDir%>">
<script language="JavaScript">
        document.writeln("<INPUT type=hidden name=user_id value='<%=activeUserID%>'>");
        document.writeln("<INPUT type=hidden name=shopper_ref value='<%=activeUserID%>'>");
</script>
<input type="hidden" name="status" value="<%=orderstatus%>">
</FORM>



<%
ErrorDataBean errorBean = new ErrorDataBean ();

com.ibm.commerce.beans.DataBeanManager.activate (errorBean, request);
TypedProperty errProp = errorBean.getExceptionData();

String StatusMessage = "";
if (errProp != null)
{    
        String errCode  = errProp.getString( ECConstants.EC_ERROR_CODE, "" );
        String buyerMsg = errProp.getString( "MessageForBuyer"        , "" );
        if ( errCode.equals("190") ) {
                StatusMessage = dmstoretext.getString("PMERROR_MESSAGE1");
        } else if ( errCode.equals("1007") && buyerMsg.length() > 0 ) {
                StatusMessage = buyerMsg;
        } else if ( errCode.equals("1007") ) {
                StatusMessage = dmstoretext.getString("PMERROR_MESSAGE2");
        } else if ( errCode.equals("1005") ) {
                StatusMessage = dmstoretext.getString("PMERROR_MESSAGE3");
        } else if ( errCode.equals("1006") ) {
                StatusMessage = dmstoretext.getString("PMERROR_MESSAGE4");
        } else {
                StatusMessage = dmstoretext.getString("PMERROR_MESSAGE5");
        }
}
%>
<%
        OrderItemAccessBean[] orderItemAccessBean = orderBean.getOrderItems();
        //All items have the same date. So just get it from
        //the first line item, assumption form Bryan Palmer
        // The shipping method of the first item is same as the order delivery method.  
        String dateCreated = "";
        String orderDate = ""; 
        String shippingcode = null;
        ShippingModeAccessBean smab = null;
        boolean downloadorder = false;
        //d14627: if (orderItemAccessBean != null && orderItemAccessBean.length > 0) {
        if (!isSubscriptionOrder && orderItemAccessBean != null && orderItemAccessBean.length > 0) { //d14627
                java.sql.Timestamp dcStamp = orderItemAccessBean[0].getTimeCreatedInEJBType();   
                dateCreated = TimestampHelper.getDateFromTimestamp(dcStamp, locale);
                //java.text.SimpleDateFormat formatter = new java.text.SimpleDateFormat ("MM/dd/yyyy 'at' hh:mm:ss a zzz");
                //dateCreated = formatter.format((java.util.Date)dcStamp);

                java.text.SimpleDateFormat formatter2 = new java.text.SimpleDateFormat ("MM/dd/yyyy");
        orderDate = formatter2.format((java.util.Date)dcStamp);
                smab = orderItemAccessBean[0].getShippingMode();
                if (smab != null)
                {
                        shippingcode = smab.getCode();
                        if ((shippingcode != null) && (shippingcode.toUpperCase().indexOf("DOWNLOAD") != -1) )
                        {
                                downloadorder = true;
                        }
                }
        }
                
%>
<%
//9421.sn
int year = 0;
int day = 0;
int month = 0;
String temp = "";
boolean orderexpired = false;
try
{
        temp = orderDate;
        month = Integer.parseInt(temp.substring(0,temp.indexOf("/")));
        temp = temp.substring(temp.indexOf("/") + 1);
        day = Integer.parseInt(temp.substring(0,temp.indexOf("/")));
        temp = temp.substring(temp.indexOf("/") + 1);
        year = Integer.parseInt(temp);
        Calendar currentCal = Calendar.getInstance();
        Calendar orderCal = Calendar.getInstance();
        orderCal.set(Calendar.DATE, day + MEDIADOWNLOADEXPIRE_DAYS);
        orderCal.set(Calendar.MONTH, month - 1);
        orderCal.set(Calendar.YEAR, year);
        if (!(currentCal.before(orderCal)))
        {
                orderexpired = true;
                System.out.println("DMOrderDisplayCompleted.jsp:" + orderRn + " has Expired");
        }
}
catch(Exception e)
{
        System.out.println("DMOrderDisplayCompleted.jsp: Encountered a exception: " + e.toString());
}
//9421.en
%>
<table border="0" cellpadding="0" cellspacing="0" width="595">
 <!--body header row1-->
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
  <td>  
   <table border="0" cellpadding="0" cellspacing="0" width="521">
        <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
        </tr>
        <tr>
         <td valign="top">
                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/rf_orderhistory_summary.gif" alt="" border="0">
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=dateCreated%>
                <br>
         </td>
         <td align="right" valign="top"></td>
        </tr>
        <tr>
         <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
        </tr>                   
   </table>
  </td>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
 </tr>  
 <!--end body header row1-->
 <!--body line row2-->          
 <tr>
  <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
 </tr>
 <!--end body line row2-->              
 <!--main body content row3-->                                          
 <tr>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
  <td valign="top">
        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""><br>
        <%
        if (!StatusMessage.equals(""))
        {
        %>
            <p><font color="red"><%=StatusMessage%></font><br>
            <P>
        <% 
        }
        %>
        
        <%
        if (downloadorder)
        {
                if (ordercompleted)
                {
                        if (orderexpired)
                        {
                        %>
                                <%= dmstoretext.getString("DOWNLOAD_EXPIRED") %>
                        <%
                        }
                        else
                        {
        %>      
                                <%= dmstoretext.getString("DOWNLOAD_LINKS") %>          
        <%
                        }
                }
                else
                {
                %>
                        <%= dmstoretext.getString("DOWNLOAD_NOTAVA") %>
                <%
                }
        }
        %>      
<%
   String displaymessage = "";
   String msg_args[] = new String[1];  
   msg_args[0] = "<A href=\"" + WCS_DIGITALMEDIA_COMMON + "?includefile=OrderHelp&catalogId=" + catalogId + "&storeId=" + storeId + "&langId=" + languageId + "\">";
   displaymessage = java.text.MessageFormat.format(dmstoretext.getString("INFO_MESSAGE52"),msg_args);
   displaymessage = displaymessage + "</a>";
   %>
        <%=displaymessage%>
        <%//BWP - PTR 5842 fixed the above link.%>
        <%
        if ( (downloadorder) && (ordercompleted) && (!(orderexpired)) )
        {
        %>
        <b><%= dmstoretext.getString("PLEASE_NOTE") %></b>
  <%
   displaymessage = "";
   msg_args[0] = new Integer(MEDIADOWNLOADEXPIRE_DAYS).toString();
   displaymessage = java.text.MessageFormat.format(dmstoretext.getString("DOWNLOAD_EXPIRE1"),msg_args);
   %>
        <%=displaymessage%>
                 
                 
                 <p>
                 
                <p><div class="orangeheader"><%= dmstoretext.getString("DOWNLOAD_CLIPS") %></div>
        <%
        }
        else
        {
        %>
        <p>
        <%
        }
        %>
        
 <%
        OrderItemDataBean[] orderItemDataBean = orderBean.getOrderItemDataBeans();
        //All items get shipped to one address. So just get it from
        //the first line item
        String shipmodeId = "";
        String shippingMethodName =null;
        if (orderItemDataBean != null && orderItemDataBean.length > 0) {
                shipmodeId = orderItemDataBean[0].getShippingModeId().trim();           
                ShippingModeDescriptionAccessBean shipmodeDsc = new ShippingModeDescriptionAccessBean();

                shipmodeDsc.setInitKey_shipModeId(shipmodeId);
                shipmodeDsc.setInitKey_languageId(languageId);
                shippingMethodName = shipmodeDsc.getDescription();
        }

//PTR 5890 Change
%>
<FORM name="results_content" method="POST">
<%

if (orderItemAccessBean != null && orderItemAccessBean.length > 0 && (downloadorder) && (ordercompleted) && (!(orderexpired)) ) 
{
        for(int j = 0; j < orderItemAccessBean.length; j++) 
        {
                OrderItemAccessBean orderAccessItem = orderItemAccessBean[j];
                String partnum = null;
                try
                {
                        partnum = orderAccessItem.getCatalogEntry().getPartNumber().substring(3);
                }
                catch(Exception e)
                {
                        System.out.println("DMOrderDisplayCompleted.jsp: Encountered a exception while getting part number: " + e.toString());
                }
                if ( (partnum != null) && (!(partnum.trim().equals(""))) )
                {
                
                String downloadLink = "javascript:singlefiledownload('" + j + "');";
        %>
                <%//Please NOTE: This needs to be changed to the correct link%>
                <!-- <INPUT name="prod_sku" type=checkbox value="<%=(orderAccessItem.getCatalogEntry().getDescription(new Integer(languageId)).getThumbNail())%>"> -->
                <!-- <INPUT name="prod_sku" type=checkbox value="<%=orderAccessItem.getCatalogEntry().getManufacturerPartNumber()%>"> -->
                <INPUT name="prod_sku" type=checkbox value="<%=partnum%>">
                <a href="<%=downloadLink%>" class="play"><%=orderAccessItem.getCatalogEntry().getManufacturerPartNumber()%></a> 
                <%
                String form = "H";
                if (orderAccessItem.getCatalogEntry().getPartNumber().substring(0,3).equals("100"))
                {       
                        form = "L";
                }
                %>
                <input name="resvalue" type="hidden" value="<%=form%>">
                
                <%
                }
                %>
                <br>
        <%
        }
}
%>
        <p>
        <%
        if ( (downloadorder) && (ordercompleted) && (!(orderexpired)) )
        {
        %>              
                        <INPUT type=button value='<%=dmstoretext.getString("DOWNLOAD_BUTTON")%>' onclick=filedownload()>
        <%
        }
        %>              

</Form>

   <!--end grey bar in its own table-->
   <table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td></tr></table>

        <p>
   <table border="0" cellpadding="0" cellspacing="0" width="525">
        <tr>
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <td id="ordersummaryONE" bgcolor="#CCCCCC" align="center" class="small"><b><%= dmstoretext.getString("THUMBNAIL") %></b>&nbsp;&nbsp;</td>
         <td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <td id="ordersummaryTWO"bgcolor="#CCCCCC" class="small">&nbsp;&nbsp;<b><%= dmstoretext.getString("DESCRIPTION") %></b></td>
         <td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <td id="ordersummaryTHREE"bgcolor="#CCCCCC" class="small">&nbsp;&nbsp;<b><%= dmstoretext.getString("SPECS") %></b></td>
         <td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>  
         <%
         if (showpriceflag == true) { //d13928
         %>
         <td id="ordersummaryFOUR"bgcolor="#CCCCCC" align="right" class="small"><b><%= dmstoretext.getString("PRICE1") %></b>&nbsp;&nbsp;</td>
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <%
         } //d13928
         %>
        </tr>  

<%      

for(int j = 0; j < orderItemDataBean.length; j++) 
{
        OrderItemDataBean orderItem = orderItemDataBean[j];
        
        // get attribute values
    com.ibm.commerce.catalog.beans.AttributeValueDataBean attrValItem = new com.ibm.commerce.catalog.beans.AttributeValueDataBean();
    Vector allattr = new Vector();
    // find all the attribute values with item_id    
    for (Enumeration e = attrValItem.findByCatalogEntry(new Long(orderItem.getCatalogEntryId())); e.hasMoreElements();) 
        {
       allattr.addElement(e.nextElement());
        }
    int allsize = allattr.size();
        String attrValue = "";
    String[] langID = new String[allsize];
    for (int u = 0; u < allsize; u++) 
        {       
        langID[u] = ((com.ibm.commerce.catalog.beans.AttributeValueDataBean)allattr.elementAt(u)).getLanguage_id();
        if (langID[u].equals(languageId)) 
                {       
                        attrValue = attrValue + " " + (String)(((com.ibm.commerce.catalog.beans.AttributeValueDataBean)allattr.elementAt(u)).getAttributeValue());
        }
    } 
    //to display attributes and AuxDescription of OrderItem in the Format Column.
        String specs_1 = orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getAuxDescription1();
        if(specs_1 == null)
                specs_1 = "";                   
        
%>
    <tr>
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <td class="clipid" align="center">
          <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="4" alt="" border="0">
          <br><%=orderItem.getCatalogEntry().getManufacturerPartNumber()%>
          <br>
          <% //PTR 5903 change %>
                   <%
           String thumbpath = orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getThumbNail();
                int backslash = thumbpath.indexOf("\\");
                if (backslash != -1)
                {
                        thumbpath = thumbpath.substring(0,backslash) + "/" + thumbpath.substring(backslash + 1);                        
                }
           %>

          <img src="<%=MEDIA_THUMBNAIL_PATH%>/<%=thumbpath%> " border="0" alt="<%=orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getThumbNail()%>" vspace="5" hspace="5">
          <br><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="6" alt="" border="0">
         </td>
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <td class="small">&nbsp;&nbsp;<%=orderItem.getCatalogEntry().getDescription(new Integer(languageId)).getLongDescription()%></td>
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <td class="small">&nbsp;&nbsp;<%=attrValue%><br>&nbsp;&nbsp;<%//=specs_1%></td>        
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <%
         if (showpriceflag == true) { //d13928
         %>
         <td class="small" align="right"><%=orderItem.getFormattedTotalProduct()%></td> 
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>  
         <%
         } //d13928
         %>
        </tr>   
        <tr>
         <td bgcolor="#CCCCCC" width="1" colspan="9"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
        </tr>
<%
}
%>
         <%
         if (showpriceflag == true) { //d13928
         %>
    <tr>
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
         <td width="100">&nbsp;</td>
         <td bgcolor="#FFFFFF" width="1"></td>
         <td width="200">&nbsp;</td>
         <td bgcolor="#FFFFFF" width="1"></td>
         <td width="200" align="right" class="small" colspan=3>
         <%//BWP - PTR 5842 allowed me to touch up the look and feel a bit, did not look terrific in Netscape%>
          <table border=0 width=100% cellpadding=1 cellspacing=0>
           <tr>
            <td align=right><%=dmstoretext.getString("SUBTITAL1")%></td>
            <td align=right><%= orderBean.getFormattedTotalProductPrice() %></td>
       </tr>
       <tr>
        <td align=right><%=dmstoretext.getString("SHIPPING_MODE")%></td>
        <td align=right><%= orderBean.getFormattedTotalShippingCharge() %></td>
       </tr>
       <tr>
        <td align=right><%=dmstoretext.getString("TAX2")%></td>
        <td align=right><%= orderBean.getFormattedTotalTax()%></td>
       </tr>
       <tr>
                <td align=right><b><%=dmstoretext.getString("GRAND_TOTAL2")%></b></td>
                <td align=right><b><%=orderBean.getGrandTotal()%></b></td>      
           </tr>
          </table>
         </td>                          
         <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>  
        </tr>   
        <%
        } //d13928
        %>
        <tr>
         <td bgcolor="#CCCCCC" width="1" colspan="9"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
        </tr>
   </table>
   <p>&nbsp;
  </td>
  <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
 </tr>  
</table>    
 

 
<%
incfile = "/" + storeDir + "/common/footer.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

</body>

</html>