<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030130  13748  vaschman add alternative text for Cancel Subscription - accessibility 
// 030309  14475  vaschman use variables for alternative tags - translation
// 030507  14898  slessman double the quotes in comment of cancel subscription
%>

<%@ page language="java" %>
<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.command.CommandContext" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="java.math.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.commerce.ras.*" %>
<%@ page import="com.ibm.commerce.exception.*"  %>


<%@ include file="getResource.jsp"%>

<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %> 
<%
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");

if (storeId == null)
{
        String [] arrStoreId = (String []) request.getAttribute("storeId");
        if (arrStoreId != null) storeId = arrStoreId[0];
}
if (languageId == null)
{
        String [] arrlanguageId = (String []) request.getAttribute("langId");
        if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{
        String [] arrcatalogId = (String []) request.getAttribute("catalogId");
        if (arrcatalogId != null) catalogId = arrcatalogId[0];
}

%>

<% //d14058: BEGIN %>
<SCRIPT>
function cancel_subscription(guiForm) {

   // the only way one can use a ' in the comment is if you double it before passing forward
   var index1 = guiForm.comment.value.indexOf("'");
   while (index1 != -1) {
      guiForm.comment.value = guiForm.comment.value.substring(0,index1) + "''" + guiForm.comment.value.substring(index1 + 1);
      index1 = guiForm.comment.value.indexOf("'", index1 + 2);
  }
   
   guiForm.submit();
}
</SCRIPT>   
<% //d14058: END %>

<form name="cancelform" action="<%=WCS_DIGITALMEDIA_COMMON%>">
 <input type="hidden" name="storeId" value="<%=storeId%>">
 <input type="hidden" name="catalogId" value="<%=catalogId%>">
 <input type="hidden" name="langId" value="<%=languageId%>">
  <input type="hidden" name="includefile" value="subscriptioncancel">

<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="top"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="7" width="1"></td>
</tr>

 <tr>
  <td colspan="2">
   <table border="0" cellpadding="0" cellspacing="0">
    <tr>
         <td>
          <img width="25" height="1" src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" border="0">
         </td>
         <td>
          <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/subscription/subcancellation.gif" alt="" border="0">
         </td>
         <td>
          <img width="25" height="1" src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" border="0">
         </td>
        </tr>
   </table>  
  </td>
 </tr> 
 

<tr>
<td valign="top" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/subscription/grey.gif" alt="" border="0" height="1" width="595"></td>
</tr>

<tr>
<td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="10" width="1"></td>
</tr>   

<tr>
 <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="1" width="10"></td>
 <td valign="top"> 
 <%=dmstoretext.getString("CANCEL_SUB_EXP")%><br>
 </td>
</tr>
<tr>
 <td valign="top"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="30" width="1"></td>        
</tr>
<tr>
 <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="1" width="25"></td>
 <td><%=dmstoretext.getString("EMAIL_COMMENTS")%></td>
</tr>
<tr>
 <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="1" width="25"></td>
 <td><textarea rows="5" cols="50" name="comment"></textarea></td>
</tr>
<tr>
<td valign="top"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="10" width="1"></td>
</tr>   
<tr>
 <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" alt="" border="0" height="1" width="25"></td>
 <!--d14058: <td><a href="javascript:document.cancelform.submit();"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/subscription/cancelsubscription.gif" alt="Cancel Subscription" border="0"></a></td>-->
 <td><a href="javascript:cancel_subscription(document.cancelform);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/subscription/cancelsubscription.gif" alt="<%=dmstoretext.getString("SUBSCRIPCANCELMAIN1_TAG")%>" border="0"></a></td> <% //d14058,d14263 %>
</tr>
</table>
</form>
