<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
//* Purpose:  This JSP include file includes all common JavaScript functions. */
//*           This file should be included once in a JSP file.                */
//*****************************************************************************/
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030203  14196  vaschman change alerts to store text strings in dmstoretext_locale.properties 
%>


function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v3.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function not_ready(){
   alert('<%= dmstoretext.getString("CONSTRUCTION_PAGE") %>');
 }

function show_status(status) {
  window.status = status;
  return true;
}

function blank_status() {
  window.status = '';
  return true;
}

function submit_form(form){
   form.submit(); 
}

// Function used by side navigation menu to keep track of active request for seller while
// building a submission
function submit_dummy_form(form,location){
   //alert(location);
   if(location == "Library"){
      form.action = "$(LIBRARY_MGR_URL)";
   }else if(location== "SearchLibrary"){
      form.action = "$(LIBRARY_SEARCH_URL)";
   }else if(location== "NewRequest"){
      form.action = "$(SELLER_NEW_REQUEST_URL)";   
   }else if(location == "ActiveRequest"){
      form.action = "$(ACTIVE_REQUEST_URL)";
   }else if(location == "PriceRequest"){
      form.action = "$(PRICE_REQUEST_URL)";
   }else if(location == "ShipFilm"){
      form.action = "$(SHIP_FILM_URL)";
   }else if(location == "SalesHistory"){
      form.action = "$(SALES_HISTORY_URL)";
   }else if(location == "AccountSetup"){
      form.action = "$(SELLER_ACCT_SETUP_URL)";
   }else if(location == "TrendReport"){
      form.action = "$(TREND_REPORT_URL)";
   }else if(location == "Help"){
      form.action="$(HELP_URL)";
   }
   
   form.submit();
}

//SHX: new function
function trimAllSpaces(s)
{
   s = trimAllLeadingCharacters(s, " ");
   s = trimAllTrailingCharacters(s, " ");
   return s;
}

//SHX: new function
function trimAllLeadingCharacters(s, c)
{
   if (s == null) return ("");

   var allTrimCharacters = true;

   // ------------------------
   // remove leading characters
   // ------------------------
   for (var x=0; x<s.length; x++) {
      if (s.charAt(x) != c.charAt(0)) {
         allTrimCharacters = false;
         break;
      }
   }

   // ------------------------------------------------------
   // return empty string for string of all trim characters
   // ------------------------------------------------------
   if (allTrimCharacters == true) return ("");

   // ---------------------
   // return trimmed string
   // ---------------------
   return(s.substring(x, s.length));
}

//SHX: new function
function trimAllTrailingCharacters(s, c)
{
   if (s == null) return ("");

   var allTrimCharacters = true;

   // ------------------------
   // remove leading characters
   // ------------------------
   for (var x=(s.length-1); x>=0; x--) {
      if (s.charAt(x) != c.charAt(0)) {
         allTrimCharacters = false;
         break;
      }
   }

   // ------------------------------------------------------
   // return empty string for string of all trim characters
   // ------------------------------------------------------
   if (allTrimCharacters == true) return ("");

   // ---------------------
   // return trimmed string
   // ---------------------
   return(s.substring(0, x+1));
}

//D15512.sn
function isEmailList(email_list) {
	if(email_list.length > 0) {
		for(i=0; i<email_list.length; i++) {
			var email = email_list[i];
			if(!isEmail(email)) {
				return false;
			}	
		}		
	} else {
		return false;
	}
	return true;
}

function getArrayFromEmailList(list, sep_list) {
	list = trimAllSpaces(list) + ",";
	var e_array = new Array;
	var emailCt = -1;
	var email = "";
	for(var i=0; i<list.length; i++) {
		var ch = list.charAt(i);
		if(sep_list.indexOf(ch) < 0) {
			email = email + ch;
		} else {
			email = trimAllSpaces(email);
			if(email.length > 0) {
				e_array[++emailCt] = email;
				email = "";
			}	
		}
	}
	return e_array;
}
//D15512.en

//SHX: new function
function go_home() {
   var form = document.reloadPageForm;
   
   //--- submit form
   form.action = "<%=HOME_URL%>?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>";
   form.submit();
}

//SHX: new function
function go_lightbox_manager(user_id) {
   var form = document.reloadPageForm;
   
   //--- submit form
   form.action = "<%=LIGHTBOX_MANAGER_URL%>";
   if (user_id != null && user_id != "") {
      form.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_RN%>.value = user_id;
      form.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>.value = user_id;
   }
   form.submit();
}

//SHX: new function
function go_to(url, user_id) {
   var form = document.reloadPageForm;
   
   //--- submit form
   form.action = url;
   if (user_id != null && user_id != "") {
      form.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_RN%>.value = user_id;
      form.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>.value = user_id;
   }
   form.submit();
}

//SHX: new function
function dispatch_message(message) {
   if (message == null) message = "";
   var form = document.errorHandlerForm;
   
   //--- submit form
   form.action = "<%=ERROR_HANDLER_JSP%>";
   form.MESSAGE_CODE.value = message;
   form.submit();
}

function perform_full_search(lb_num, lb_ids, lb_names) {
   var form = document.fullSearchForm;
   
   //--- set dynamic variables if passed
   if (lb_num != null)
      form.lb_num.value = lb_num;
   if (lb_ids != null)      
      form.lb_rn.value = lb_ids;
   if (lb_names != null)
      form.lb_name.value = lb_names;
   
   //--- submit the form
   form.submit();
}


//------------------------------------------------------------------
// Note:  Changes here must also be incorporated in the Java version
//        in "LightboxUtility.java".
//------------------------------------------------------------------
function convertTag(tag) {
   //--- Handle null values
   if (tag == null)
      return ("");

   var newTag = tag;
   if (newTag.charAt(0) != '_')
      newTag = "_" + newTag;
   if (newTag.charAt(newTag.length - 1) != '_')
      newTag += "_";

   return (newTag);
}            


//------------------------------------------------------------------
// Note:  Changes here must also be incorporated in the Java version
//        in "LightboxUtility.java".
//------------------------------------------------------------------
function createLightboxName(baseName, tag) {
   //--- Handle null values
   if (baseName == null)
      return ("");
   if (tag == null)
      return (baseName);

   return (convertTag(tag) + baseName);
}            


//------------------------------------------------------------------
// Note:  Changes here must also be incorporated in the Java version
//        in "LightboxUtility.java".
//------------------------------------------------------------------
function extractLightboxName(fullName, tag) {
   //--- Handle null values
   if (tag == null)
      return ("");

   //--- Determine the lightbox name
   var _tag = convertTag(tag);
   if (_tag == "" || fullName.indexOf(_tag) != 0)
      return (fullName);
   else
      return (fullName.substring(_tag.length));
}            

//10064.sn
// Changes below are done by Manoj Khilnani as part fo the defect 10064.
// The createbin function can be used in the lightbox application.

function createbin()
{
	document.CreateNewFolder.action='<%=LIGHTBOX_CREATE_URL%>';
	document.CreateNewFolder.submit();
}

function pleaseregister()
{	
	window.location.href = "<%=WCS_DIGITALMEDIA_COMMON%>?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&includefile=guest";
}

//10064.en
