<%
/*---------------------------------------------------------------------------*/
/* Licensed Materials - Property of IBM                                      */
/*                                                                           */
/* 5697-D24                                                                  */
/*                                                                           */
/* (c) Copyright IBM Corp. yyyy, 2000                                        */
/*                                                                           */
/* US Government Users Restricted Rights - Use, duplication or               */
/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.         */
/*                                                                           */
/*---------------------------------------------------------------------------*/
%>
<%
//Fix : 5811 : 05/31/2001 : Form Tag creates a blank space, so move forms.inc down.
//Fix : 5939 : 06/05/2001 : Increase the Email To field max length from 30 to 200.
//						  : Increase the subject max length from 30 to 50.
//Fix : 5987 : 06/06/2001 : In the body tag added the bgcolor="#FFFFFF".
//Fix : 5989 : 06/06/2001 : The Message should say ClipBin and not lightbox.
//Fix : 6087 : 06/22/2001 : The E-mail format should be checked.
%>
 
<%
//=============================================================================
//======================= SECTION:  COMMON JSP LOGIC ==========================
//=============================================================================
%>
<%
//--------------------------------------
// INCLUDE:  MEDIACOMMERCE JSP FUNCTIONS
//--------------------------------------
%>
<%@ include file="DMJSPFunc.inc" %>
<script language="javascript" src="<%=WEBOBJECTS_RELATIVE_URL%>/scripts/FormChek.js"></script> <%//6087.new %>

<%
// --------------------------------------------
// Determine the owned and shared lightbox list
// --------------------------------------------
retrieveLightboxList(request, response);

String source_url = (String)request.getParameter("source_url");
if (source_url == null || source_url.equals(""))
   source_url = (String)session.getValue("source_url");
   
%>


<%
//=============================================================================
//========================= SECTION:  HTML DOCUMENT ===========================
//=============================================================================
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<HEAD>
  <TITLE><%=dmstoretext.getString("DMFOLDEREMAIL_TITLE")%></TITLE>
</HEAD>

<BODY marginheight="0" marginwidth="0" link="#808080" vlink="#808080" alink="#CC9900" bgcolor="#FFFFFF">

<%
//============================
// EXCEPTION HANDLING -- BEGIN
//============================
try {
%>

<%
//-----------------------------------
// INCLUDE:  MEDIACOMMERCE HTML FORMS
//-----------------------------------
%>
<%// 5811.old @ include file="mc_forms.inc" %>


<%
//-----------------
// INCLUDE:  HEADER
//-----------------
%>
<jsp:include page="DMHeader.jsp" flush="true"/>

 
<%
//--------------------------------
// INCLUDE:  MEDIACOMMERCE SIDEBAR
//--------------------------------
%>
<jsp:include page="DMSidebar.jsp" flush="true"/>

 
<%
//---------------
// INCLUDE:  BODY
//---------------
%>
<!-- start main body here -->
<%
//=============================================================================
//============================ JAVASCRIPT FUNCTIONS ===========================
//=============================================================================
%>
<SCRIPT language="javascript">
 
// ------------------------------
// INCLUDE:  JavaScript Functions
// ------------------------------
<%@ include file="DMJSFunc.inc" %>

// ---------------------------
// Inline JavaScript Functions
// ---------------------------
function validate_email(form) {
   form.to_email.value = trimAllSpaces(form.to_email.value);

	<%//6087.startnew%>
   	if (!(isEmail(form.to_email.value)))
	{
		alert("<%=dmstoretext.getString("DMFOLDEREMAIL_JS1")%>");
		return (false);
	}
	<%//6087.endnew%>
   if (form.to_email.value == "") {
      alert("<%=dmstoretext.getString("DMFOLDEREMAIL_JS2")%>");
      return (false);
   }
   
   form.emailmessage.value = form.emailmessage.value + form.message.value;
   
   if (confirm("<%=dmstoretext.getString("DMFOLDEREMAIL_JS3")%>")) {
      return (true);
   }
   
   return (false);
}

function clearall(form)
{
	form.to_email.value = "";
	form.subject.value = "";
	form.message.value = "";
}

</SCRIPT>


<%
//=============================================================================
//============================ MAIN PAGE INFORMATION ==========================
//=============================================================================
%>
<%
UserData user = UserManager.getInstance().findUserByID(activeUserID);
String sender_email = user.getEmail1();
LightboxData lightbox = LightboxManager.getInstance().findLightboxByID(activeLightboxID);
String subject = dmstoretext.getString("DMFOLDEREMAIL_TEXT1") + extractLightboxName(lightbox.getName(),storeId);
%>
<!-- start body here -->
<!--BEGIN BODY CONTENT-column3-->
	<td valign="top">
	<table border="0" cellpadding="0" cellspacing="0" width="595">
		<!--body header row1-->
		<tr>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
		<td>	
		<table border="0" cellpadding="0" cellspacing="0" width="521">
			<tr>
			<td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
			</tr>
			<tr>
			<td valign="top">
			<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/clipbins/rf_clipbins_email.gif" alt="" border="0"><br><b>[<%=extractLightboxName(lightbox.getName(),storeId)%>]</b>
			</td>
			<td align="right" valign="top">
			</td>
			</tr>
			<tr>
			<td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
			</tr>			
		</table>
		</td>
		<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
		</tr>	
		<!--end body header row1-->
		<!--body line row2-->		
		<tr>
	    <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
		</tr>
		<!--end body line row2-->		
		<!--main body content row3-->						
		<tr>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
    	<td valign="top">
		<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""><br>
		<%=dmstoretext.getString("DMFOLDEREMAIL_TEXT2")%> <b>[<%=extractLightboxName(lightbox.getName(),storeId)%>]</b> <%=dmstoretext.getString("DMFOLDEREMAIL_TEXT3")%> 
<%
   String displaymessage = "";
   String msg_args[] = new String[1];  
   msg_args[0] = "<A href=\"" + WCS_DIGITALMEDIA_COMMON + "?includefile=clipbinhelp&catalogId=" + catalogId + "&storeId=" + storeId + "&langId=" + languageId + "\">";
   displaymessage = java.text.MessageFormat.format(dmstoretext.getString("DMFOLDERMANAGER_HELP"),msg_args);
   displaymessage = displaymessage + "</a>";
   %>
	<%=displaymessage%>
		<p>
<%
//-----------------------------------------------------------------------------
// DISPLAY THE EMAIL PROPERTIES
//-----------------------------------------------------------------------------
%>
		<FORM name="EmailLightboxForm" METHOD="POST" Action="<%=LIGHTBOX_EMAIL_CMD%>" onSubmit="return validate_email(document.EmailLightboxForm);">
		<table border="0" cellpadding="5" cellspacing="0">
			<tr>
			<td valign="top"><b><%=dmstoretext.getString("DMFOLDEREMAIL_TEXT4")%></b></td>
			<td valign="top">		
						<script language="javascript"> <!--
		    if (isMac && !isIE5)
			{
			    if (isNavigator) {
				    document.write('<input type=\"text\" value=\"\" name=\"to_email\" size=\"34\" maxlength=\"200\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
			    } else {
				    document.write('<input type=\"text\" value=\"\" name=\"to_email\" size=\"20\" maxlength=\"200\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
				}
			}
			else
			{
				 if (isNavigator) {
				   document.write('<input type=\"text\" value=\"\" name=\"to_email\" size=\"28\" maxlength=\"200\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
				} else {
					document.write('<input type=\"text\" value=\"\" name=\"to_email\" size=\"34\" maxlength=\"200\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
			    }
		    }
        //-->
		</script><br>
			<%=dmstoretext.getString("DMFOLDEREMAIL_TEXT5")%>
			</td>			
			</tr>
			<tr>
			<td valign="top"><b><%=dmstoretext.getString("DMFOLDEREMAIL_TEXT6")%></b></td>
			<td valign="top"><%=sender_email%></td>
			</tr>
			<tr>
			<td valign="top"><b><%=dmstoretext.getString("DMFOLDEREMAIL_TEXT7")%></b></td>
			<td valign="top">		
			<script language="javascript"> <!--
		    if (isMac && !isIE5)
			{
			    if (isNavigator) {
				    document.write('<input type=\"text\" value=\"<%=subject%>\" name=\"subject\" size=\"34\" maxlength=\"50\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
			    } else {
				    document.write('<input type=\"text\" value=\"<%=subject%>\" name=\"subject\" size=\"20\" maxlength=\"50\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
				}
			}
			else
			{
				 if (isNavigator) {
				   document.write('<input type=\"text\" value=\"<%=subject%>\" name=\"subject\" size=\"28\" maxlength=\"50\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
				} else {
					document.write('<input type=\"text\" value=\"<%=subject%>\" name=\"subject\" size=\"34\" maxlength=\"50\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
			    }
		    }
        //-->
		</script>
			</td>			
			</tr>	
			<tr>
			<td valign="top"><b><%=dmstoretext.getString("DMFOLDEREMAIL_TEXT8")%>:</b><br><%=dmstoretext.getString("DMFOLDEREMAIL_TEXT9")%></td>
			<td valign="top">		
			<textarea cols="30" rows="6" name="message" wrap="virtual"></textarea>
			</td>			
			</tr>	
			<tr>
			<td valign="top">&nbsp;</td>
			<td valign="top">		
			<input type="submit" name="send" value="<%=dmstoretext.getString("DMFOLDEREMAIL_TEXT10")%>">&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" name="clear" value='<%=dmstoretext.getString("DMFOLDEREMAIL_TEXT11")%>' onClick="clearall(document.EmailLightboxForm)">
			</td>			
			</tr>						
		</table>
		<%
		String emailmessage = dmstoretext.getString("DMFOLDEREMAIL_EMAILMESSAGE");
		String lightbox_url =  LIGHTBOX_EMAIL_VIEW_URL + "?lb_num=" + activeLightboxID + "&storeId=" + storeId  + "&catalogId=" + catalogId  + "&langId="  + languageId + "&localeValue=" + wcdmLocale + "&storeDir=" + storeDir;
		try
		{
			UserManager userManager = null;
			if (userManager == null)
	       		userManager = UserManager.getInstance();
			UserData owner = userManager.findUserByID(activeUserID);
           	String user_full_name = owner.getFirstName() + " " + owner.getLastName();
			//String lightbox_url =  LIGHTBOX_EMAIL_VIEW_URL + "?lb_num=" + activeLightboxID + "&storeId=" + storeId  + "&catalogId=" + catalogId  + "&langId="  + languageId;
			lightbox_url = MediaCommerceServlet.createAbsoluteUrlStringFor(lightbox_url, request);
			String args[] = new String[2];			
			args[0] = user_full_name;
			args[1] = lightbox_url;			
			emailmessage = MessageFormat.format(emailmessage,args);
		}
		catch(Exception e)
		{
			//--- Log the message
			Message.logMessage("Could not create the email view message." + e,0);
		}
		%>
		<input type="Hidden" name="emailmessage" value="<%=emailmessage%>">
		<input type="hidden" name="user_id" value="<%=activeUserID%>">
		<input type="hidden" name="lb_num" value="<%=activeLightboxID%>">
		<input type="hidden" name="dmemailurl" value="<%=lightbox_url%>">		
		<input type="hidden" name="url" value="<%=LIGHTBOX_EMAIL_SUCCESS_JSP%>">
		<input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">
		</form>
		</td>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
		</tr>	
	</table>	
	<!--end main body content row3-->
	</td>
	<!--END BODY CONTENT-->
	<td bgcolor="#000000" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="15" border="0" alt=""></td>
	</tr>
</table>

<!-- end body here -->

<!-- end main body here -->

<%
//-----------------
// INCLUDE:  FOOTER
//-----------------
%>
<jsp:include page="DMFooter.jsp" flush="true"/>


<%
//-----------------------------------
// INCLUDE:  MEDIACOMMERCE HTML FORMS
//-----------------------------------
%>
<%@ include file="DMFolderForms.inc" %> <%//5811.new%>

<%
//==========================
// EXCEPTION HANDLING -- END
//==========================
} catch (Exception e) {
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/
   
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();
   
   //--- Log the message
   Message.logMessage(msg,0);
   
   //--- Display the error as part of the current HTML page
   %>
   <br><b><%=dmstoretext.getString("DMCOMMON_TEXT1")%></b>
   <%
   
   //--- Print a dump of the exception
   //e.printStackTrace();
}
%>

</BODY>
</HTML>
